<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".view.fragment.MaterialReplacementRecordFragment">

    <com.grkj.iscs_mc.view.widget.TitleBar
        android:id="@+id/tb"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:bar_icon="@mipmap/material_inspection_plan"
        app:bar_title="@string/material_replacement" />

    <com.grkj.iscs_mc.view.widget.CommonBtn
        android:id="@+id/cb_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        app:btn_bg="@drawable/common_btn_blue_bg"
        app:btn_name="@string/back" />

    <com.google.android.material.card.MaterialCardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@id/cb_back"
        android:layout_below="@id/tb"
        android:layout_marginVertical="@dimen/common_spacing"
        app:cardBackgroundColor="@color/common_bg_white_10"
        app:cardCornerRadius="@dimen/common_radius"
        app:cardElevation="0dp"
        app:strokeColor="@color/common_transparent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <TextView
                style="@style/CommonTextView"
                android:layout_width="match_parent"
                android:background="@color/bar_bg"
                android:gravity="left"
                android:paddingVertical="@dimen/common_spacing"
                android:paddingLeft="@dimen/common_spacing"
                android:text="@string/material_replacement_record_title" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_record"
                style="@style/CommonRecyclerView"
                android:layout_margin="@dimen/common_spacing" />
        </LinearLayout>
    </com.google.android.material.card.MaterialCardView>
</RelativeLayout>